• Welcome to Simple Machines Community Forum. Please login or sign up.
January 24, 2022, 08:16:12 AM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


syntax error in 2.0.17

Started by grandseb59, August 03, 2020, 01:36:21 PM

Previous topic - Next topic

grandseb59

hello,
I just uploaded the brand new 2.0.17 package on my new server, and after extracting it from the archive, it gives me syntax errors, why now when on the other server it was working fine???

Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /home/******/public_html/index.php on line 114

Parse error: syntax error, unexpected T_FUNCTION in /home/******/public_html/install.php on line 39

Arantor

You have a very old version of PHP on your server... would guess PHP 5.2 from the error message. You need 5.4 or higher to run 2.0.17.

(PHP 5.2 went unsupported by the PHP team in 2011)
No good deed goes unpunished
All helpful urges should be circumvented

grandseb59

ok I had a doubt because to change the php selector it's much more complicated than on the other server, so I stayed in 5.2 despite it's marked 7.3 in front of my domains.
Thanks a lot

Arantor

Yeah, it won't work on 5.2 any more, needs to be at least 5.4, 5.6 is better, SMF 2.0 supports up to 7.2.
No good deed goes unpunished
All helpful urges should be circumvented

Advertisement: